LIBKECCAK_STATE_FREE(3)

NAME
libkeccak_state_free - Destroys and deallocates a hash state with erasure

SYNOPSIS
#include <libkeccak.h>
void libkeccak_state_free(struct libkeccak_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_state_free() function releases the allocations stored in *state, and also release the allocation of state.

The libkeccak_state_free() function securely erases sensitive data.

RETURN VALUES
The libkeccak_state_free() function does not return any value.

ERRORS
The libkeccak_state_free() function cannot fail.

NOTES
A double call to libkeccak_state_free() will either result in a double free, which is must likely to crash the process, or free an allocation (that was created between the calls) that was not intended to be freed, resulting in undefined behaviour.

SEE ALSO
libkeccak_state_destroy(3), libkeccak_state_fast_free(3), libkeccak_state_create(3), libkeccak_state_initialise(3), libkeccak_state_reset(3), libkeccak_state_wipe(3)